Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QSettings.Scope

    java.lang.Object
      java.lang.Enum<QSettings.Scope>
          com.trolltech.qt.core.QSettings.Scope

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSettings.Scope>

Enclosing class:
  QSettings

    public static enum QSettings.Scope

extends java.lang.Enum<QSettings.Scope>
implements QtEnumerator

This enum specifies whether settings are user-specific or shared by all users of the same system.

See Also:
  `setPath`

Enum Constant Summary
`SystemScope` Store settings in a global location, so that all users on the same machine access the same set of settings.
`UserScope` Store settings in a location specific to the current user (e.g., in the user's home directory).

Method Summary
`static QSettings.Scope` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSettings.Scope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSettings.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UserScope

    public static final QSettings.Scope UserScope

  Store settings in a location specific to the current user (e.g., in the user's home directory).

### SystemScope

    public static final QSettings.Scope SystemScope

  Store settings in a global location, so that all users on the same machine access the same set of settings.

Method Detail

### values

    public static final QSettings.Scope[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSettings.Scope c : QSettings.Scope.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSettings.Scope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSettings.Scope resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD